<?php

function ajaxLoaderGif($text = 'Please wait...', $override_class='' ) {
	return '<div id="ajax-wait" class="'.$override_class.'"><div><div><img src="'. cpg_plugin_url() . '/images/ajax-loader.gif' .'"></div><div>'.$text.'</div></div></div>';
}

function GetImportTransferList( $opt_params=array(), $as_array = true ) {
	global $wpdb;
	global $cpg_db_tables;

	$id = false;

	$opts_default  = array( 'active' => 1,
							'deleted' => 0,
							);

	// now lets merge the defaults with any passed params
	if (empty($opt_params) || !is_array($opt_params)) {
		$opt_params = array();
	}
	$opt_params = array_merge( $opts_default,  $opt_params );

	$id = false;
	$tablename = $wpdb->prefix . $cpg_db_tables['input_sample'];

	$params = array() ;

	$sql = "select * from $tablename where 1=1 " ; #and active=%d and deleted=%d";
	foreach ($opt_params as $key=>$param) {
		$sql .= " AND $key = %s ";
		$params[] = $param;
	}
	$prepared_query = $wpdb->prepare($sql, $params);
	#echo $prepared_query;


	$myrows = $wpdb->get_results($prepared_query);
	if ($as_array) {
		$row_arrays = json_decode(json_encode($myrows), true);
	} else {
		$row_arrays = $myrows;
	}		

	return $row_arrays;

} # end of GetImportTransferList


function GetTransferList( $opt_params=array(), $as_array = true ) {
	global $wpdb;
	global $cpg_db_tables;

	$id = false;

	$opts_default  = array( 'active' => 1,
							'deleted' => 0,
							);

	// now lets merge the defaults with any passed params
	if (empty($opt_params) || !is_array($opt_params)) {
		$opt_params = array();
	}
	$opt_params = array_merge( $opts_default,  $opt_params );

	$id = false;
	$tablename = $wpdb->prefix . $cpg_db_tables['input_transfer'];

	$params = array() ;

	$sql = "select * from $tablename where 1=1 " ; #and active=%d and deleted=%d";
	foreach ($opt_params as $key=>$param) {
		$sql .= " AND $key = %s ";
		$params[] = $param;
	}
	$sql .= " ORDER BY SortOrder, Batch_Number, Id ";
	$prepared_query = $wpdb->prepare($sql, $params);
	#echo $prepared_query;


	$myrows = $wpdb->get_results($prepared_query);
	if ($as_array) {
		$row_arrays = json_decode(json_encode($myrows), true);
	} else {
		$row_arrays = $myrows;
	}		

	return $row_arrays;

} # end of GetImportTransferList


function GetImportTable1( $opt_params=array(), $as_array = true ) {
	global $wpdb;
	global $cpg_db_tables;

	$id = false;

	$opts_default  = array( 'active' => 1,
							'deleted' => 0,
							);

	// now lets merge the defaults with any passed params
	if (empty($opt_params) || !is_array($opt_params)) {
		$opt_params = array();
	}
	$opt_params = array_merge( $opts_default,  $opt_params );

	$id = false;
	$tablename = $wpdb->prefix . $cpg_db_tables['import_table1'];

	$params = array() ;

	$sql = "select * from $tablename where 1=1 " ; #and active=%d and deleted=%d";
	foreach ($opt_params as $key=>$param) {
		$sql .= " AND $key = %s ";
		$params[] = $param;
	}
	#$sql .= " ORDER BY SortOrder, Batch_Number, Id ";
	$prepared_query = $wpdb->prepare($sql, $params);
	#echo $prepared_query;


	$myrows = $wpdb->get_results($prepared_query);
	if ($as_array) {
		$row_arrays = json_decode(json_encode($myrows), true);
	} else {
		$row_arrays = $myrows;
	}		

	return $row_arrays;

} # end of GetImportTable1


function GetImportTable2( $opt_params=array(), $as_array = true ) {
	global $wpdb;
	global $cpg_db_tables;

	$id = false;

	$opts_default  = array( 'active' => 1,
							'deleted' => 0,
							);

	// now lets merge the defaults with any passed params
	if (empty($opt_params) || !is_array($opt_params)) {
		$opt_params = array();
	}
	$opt_params = array_merge( $opts_default,  $opt_params );

	$id = false;
	$tablename = $wpdb->prefix . $cpg_db_tables['import_table2'];

	$params = array() ;

	$sql = "select * from $tablename where 1=1 " ; #and active=%d and deleted=%d";
	foreach ($opt_params as $key=>$param) {
		$sql .= " AND $key = %s ";
		$params[] = $param;
	}
	#$sql .= " ORDER BY SortOrder, Batch_Number, Id ";
	$prepared_query = $wpdb->prepare($sql, $params);
	#echo $prepared_query;


	$myrows = $wpdb->get_results($prepared_query);
	if ($as_array) {
		$row_arrays = json_decode(json_encode($myrows), true);
	} else {
		$row_arrays = $myrows;
	}		

	return $row_arrays;

} # end of GetImportTable2

#################################################

function importTransferList() {
    $list = GetImportTransferList();
    
   # print_r($list);
    foreach ($list as $row) {
        $tx = new InputXferClass(-1);
        $tx->DocNum = $row['DocNum'];
        $tx->MOLineId = $row['LineId'];
        $tx->ItemCode = $row['U_MorCode'];
        $tx->ItemDescription = $row['U_Description'];
        $tx->Batch_Number = $row['Batch_Number'];

        $tx->SetupTime = $row['U_SetupTime'];
        $tx->RunTime = $row['U_RunTime'];

        $tx->WorkCentre = $row['U_RscCode'];
        $tx->SetupStartDate = $row['U_SetupStartDate'];
        $tx->SetupStartTime = $row['U_SetupStartTime'];
        $tx->RunStartDate = $row['U_RunStartDate'];
        $tx->RunStartTime = $row['U_RunStartTime'];
        $tx->RunEndDate = $row['U_RunEndDate'];
        $tx->RunEndTime = $row['U_RunEndTime'];
        $tx->SetupEndDate = $row['U_SetupEndDate'];
        $tx->SetupEndTime = $row['U_SetupEndTime'];
       
        $tx->save();
    }
    
    echo '<div>Data Imported';
}

#######################################################

function getBatchTime($date, $time=''){
    if (!empty($time)) {
        $t1 = substr('0000'.$time, -2);
        $t2 = substr('0000'.$time, -4, 2);
        
       # echo '<br>'. $time . ' ' . $t1 . ' = ' . $t2;
        $time = new DateTime( $date . ' ' . $t2 . ':' . $t1 . ':00');
       # print_r($time);
        return $time;
    }
}
function splitBatchTime($date, $assoc=true){
    if (!empty($date) && is_a($date, "DateTime")) {
        $t1 = $date->format("Y-m-d");
        $t2 = $date->format("Gi");
        $times = array();
        if ($assoc)  {
            $times['date'] = $t1;
            $times['time'] = $t2;
        } else {
           $times = array($t1, $t2);
        }
        

       # echo '<br>'. $time . ' ' . $t1 . ' = ' . $t2;
        return $times;
    }
} 


#if (!function_exists('strftime')) {

    function strftime2($format, $timestamp=null) {

    // PARAMETER 1 CHECK

        if (($format === null) || ($format === false))
            return false;

        if ($format === true)
            return '1';

        $type = gettype($format);

        if (preg_match('/^(array|object|resource|resource \(closed\)|unknown type)$/', $type)) {
            trigger_error('strftime() expects parameter 1 to be string, ' . $type . ' given', E_USER_WARNING);
            return false;
        }

        if (preg_match('/^(integer|double)$/', $type))
            return (string) $format;

        if ($type !== 'string')
            return false;

    // PARAMETER 2 CHECK

        $type = gettype($timestamp);

        if ($timestamp === null)
            $timestamp = time();

        elseif (
            !is_scalar($timestamp) ||
            (is_string($timestamp) && !preg_match('/^(0|[1-9]\d*)$/', $timestamp))
        ) {
            trigger_error('strftime() expects parameter 2 to be integer, ' . $type . ' given', E_USER_WARNING);
            return false;
        }

        if (!is_integer($timestamp))
            $timestamp = (int) $timestamp;

        $locale = setlocale(LC_TIME, '0');


// EASY WAY - USING SHELL TO GET DATE TEXT

        if (is_callable('shell_exec') && (stripos(ini_get('disable_functions'), 'shell_exec') === false)) {
            $cmd = 'export LC_TIME=' . escapeshellarg($locale) . '; date --date @' . escapeshellarg($timestamp) . ' +' . escapeshellarg($format);
            return preg_replace('/\r?\n$/', '', shell_exec($cmd));
        }


// HARD WAY - NOT COMPLETED

    // CHECK FORMAT

        $format = strtr($format,[
            '%r' => '%I:%M:%S %p',
            '%R' => '%H:%M',
            '%T' => '%H:%M:%S',
            '%D' => '%m/%d/%y',
            '%F' => '%Y-%m-%d'
        ]);

        $modifiers = 'aAdejuwUVWbBhmCgGyYHkIlMpPSXzZcsxnt%';
        if (!preg_match('/%[' . $modifiers . ']/', $format))
            return $format;

    // FORMAT MAP

        $map = [    // https://unicode-org.github.io/icu/userguide/format_parse/datetime/
                    // https://www.php.net/manual/en/function.strftime.php#refsect1-function.strftime-parameters

            // DAY
            '%a' => 'ccc',      // Mon - Sun
            '%A' => 'cccc',     // Monday - Sunday
            '%d' => 'dd',       // 01 - 31
            '%e' => 'd',        // 1 - 31
            '%j' => ['D'],      // 001 - 366
            '%u' => ['c'],      // 1 - 7
            '%w' => ['c'],      // 0 - 6

            // WEEK
            '%U' => ['w'],      // Week number of the given year, starting with the first Sunday as the first week
            '%V' => ['ww'],     // Week number of the given year, starting with the first week of the year with at least 4 weekdays, with Monday being the start of the week (ISO-8601:1988)
            '%W' => ['w'],      // A numeric representation of the week of the year, starting with the first Monday as the first week

            // MONTH
            '%b' => 'LLL',      // Jan - Dec
            '%B' => 'LLLL',     // January - December
            '%h' => 'LLL',      // Jan - Dec
            '%m' => 'LL',       // 01 - 12

            // YEAR
            '%C' => ['y'],      // Two digit representation of the century (year divided by 100, truncated to an integer)
            '%g' => ['yy'],     // Two digit representation of the year (ISO-8601:1988 see %V)
            '%G' => ['y'],      // Full digit representation of the year (ISO-8601:1988 see %V)
            '%y' => 'yy',       // Two digit representation of the year
            '%Y' => 'y',        // Full digit representation of the year

            // TIME
            '%H' => 'HH',       // Hour 00 - 23
            '%k' => 'H',        // Hour 0 - 23
            '%I' => 'hh',       // Hour 01 - 12
            '%l' => 'h',        // Hour 1 - 12
            '%M' => 'mm',       // Minutes 00 - 59
            '%p' => [],         // AM / PM
            '%P' => [],         // am / pm
            '%S' => 'ss',       // Seconds 00 - 59
            '%X' => [],         // Preferred time representation based on locale, without the date. Example: 03:59:16 or 15:59:16
            '%z' => 'Z',        // Time zone -0500 for US Eastern Time
            '%Z' => 'z',        // Time zone EST for Eastern Time

            // TIME AND DATA STAMPS
            '%c' => [],         // Preferred date and time stamp based on locale. Example: Tue Feb 5 00:45:10 2009
            '%s' => [],         // Unix Epoch Time timestamp (same as the time() function)
            '%x' => [],         // Preferred date representation based on locale, without the time. Example: 02/05/09

            // MISCELLANEOUS
            '%n' => [],         // \n
            '%t' => [],         // \t
            '%%' => []          // %
        ];

        $timezone = date_default_timezone_get();

        $return = '';

        $length = strlen($format);

        for ($i = 0; $i < $length; $i++) {

            $current_char = $format[$i];
            $next_char = $i < $length - 1 ? $format[$i + 1] : false;

            // NORMAL TEXT
            if ($current_char !== '%') {
                $return .= $current_char;
                continue;
            }

            // MODIFIER
            else {

                // LAST CHARACTER
                if ($next_char === false) {
                    $return .= '%';
                    continue;
                }

                $fmt = $current_char . $next_char;
                $i++;

                // NOT FOUND
                if (!isset($map[$fmt])) {
                    $return .= $fmt;
                    continue;
                }

                // SIMPLE MODIFIER
                if (is_string($map[$fmt])) {
                    $return .= datefmt_format(datefmt_create(
                        $locale,
                        IntlDateFormatter::FULL,
                        IntlDateFormatter::FULL,
                        $timezone,
                        IntlDateFormatter::GREGORIAN,
                        $map[$fmt]
                    ), $timestamp);
                    continue;
                }

                // SPECIAL MODIFIERS
                if (!empty($map['fmt']))
                    $str = datefmt_format(datefmt_create(
                        $locale,
                        IntlDateFormatter::FULL,
                        IntlDateFormatter::FULL,
                        $timezone,
                        IntlDateFormatter::GREGORIAN,
                        $map[$fmt][0]
                    ), $timestamp);

                if ($fmt == '%j')
                    $return .= sprintf("%03d", $str);

                elseif ($fmt == '%u')
                    $return .= (--$str ? $str : '7');

                elseif ($fmt == '%w')
                    $return .= --$str;

                elseif ($fmt == '%U') {

                }

                elseif ($fmt == '%V') {

                }

                elseif ($fmt == '%W') {

                }

                elseif ($fmt == '%C')
                    $return .= (string) floor($str / 100);

                elseif ($fmt == '%g') {

                }

                elseif ($fmt == '%G') {

                }

                elseif (($fmt == '%p') || ($fmt == '%P')) {
                    $str = datefmt_format(datefmt_create(
                        'en_US',
                        IntlDateFormatter::FULL,
                        IntlDateFormatter::FULL,
                        $timezone,
                        IntlDateFormatter::GREGORIAN,
                        'a'
                    ), $timestamp);
                    $return .= ($fmt == '%p') ? strtoupper($str) : strtolower($str);
                }

                elseif ($fmt == '%X') {

                }

                elseif ($fmt == '%c') {

                }

                elseif ($fmt == '%s')
                    $return .= $timestamp;

                elseif ($fmt == '%x') {

                }

                elseif ($fmt == '%n')
                    $return .= "\n";

                elseif ($fmt == '%t')
                    $return .= "\t";

                elseif ($fmt == '%%')
                    $return .= '%';

                else
                    $return .= $fmt;

                continue;
            }

        }

        return $return;
    }


#}



function link_allocation( $row = array() ) {

	$start = getBatchTime($row['SetupStartDate'], $row['SetupStartTime']);
	$end = getBatchTime($row['RunEndDate'], $row['RunEndTime']);

	$alloc = Array(
                 'label' => $row['MOLineId'] . '_' . $row['DocNum'], # $row['WorkCentre'],
                 'start' => $start->format("Y-m-d H:i:s"),
                 'end' =>  $end->format("Y-m-d H:i:s"),
                 'description' =>'Total Run: ' . ($row['SetupTime'] + $row['RunTime']),
                 'color' => '#00ff00',
                );

	return $alloc;
}

function setConflicts( $row ) {

	$keys = array_keys($row);


	foreach ($row as $key=>$line) {
		$line_start[$key] = $line['start']->format("YmdHi");
		$line_end[$key] = $line['end']->format("YmdHi");
	}
#	print_r($line_start);
#	print_r($line_end);

	foreach ($row as $key1=>$line) {
		$start = $line_start[$key1];
		$end = $line_end[$key1];
	#	echo "<br>$key1";

		foreach ($keys as $key) {
			if ($key==$key1){
				continue;
			}
	#		echo "<br>&nbsp;&nbsp;&nbsp;&nbsp;$key";
			if (($start<=$line_end[$key] && $start>=$line_start[$key]) || 
				($end<=$line_end[$key] && $end>=$line_start[$key] ) ||
				($start<=$line_start[$key] && $end>=$line_end[$key] )  
				) {
			#	echo "<br>" . $key1 . ' '.  $start .'|'. ' ' . $end . ' ' . '=' . $key . ' '. $line_start[$key] . ' ' . $line_end[$key] ;
	#		echo "<br>$key1 = $key " ;
				$row[$key1]['conflict'] = empty($row[$key1]['conflict']) ? -1 : $row[$key1]['conflict'] ;
				$row[$key]['conflict'] = empty($row[$key]['conflict']) ? 1 : $row[$key]['conflict'];;
			}
		}



	}

	return $row;
}


function offsetProcessTime( $row, $offset=0 ) {
	global $offsets;

	if (!empty($offsets[$row['Batch_Number']])) {
		$offset = $offsets[$row['Batch_Number']];
#		print_r($offset);
	}

	$time = getBatchTime( $row['SetupStartDate'], $row['SetupStartTime'] );
	$time->modify("+" . $offset . " min");
	$timeparts = splitBatchTime( $time, true);
	$row['SetupStartDate'] = $timeparts['date'];
	$row['SetupStartTime'] = $timeparts['time'];

	$time = getBatchTime( $row['SetupEndDate'], $row['SetupEndTime'] );
	$time->modify("+" . $offset . " min");
	$timeparts = splitBatchTime( $time, true);
	$row['SetupEndDate'] = $timeparts['date'];
	$row['SetupEndTime'] = $timeparts['time'];

	$time = getBatchTime( $row['RunStartDate'], $row['RunStartTime'] );
	$time->modify("+" . $offset . " min");
	$timeparts = splitBatchTime( $time, true);
	$row['RunStartDate'] = $timeparts['date'];
	$row['RunStartTime'] = $timeparts['time'];

	$time = getBatchTime( $row['RunEndDate'], $row['RunEndTime'] );
	$time->modify("+" . $offset . " min");
	$timeparts = splitBatchTime( $time, true);
	$row['RunEndDate'] = $timeparts['date'];
	$row['RunEndTime'] = $timeparts['time'];

	return $row;
}

function LoadBatchItem( $row) {

	$process = new BatchItemClass($row['id']);

	$process->SetupStartDate = $row['SetupStartDate'];
	$process->SetupStartTime = $row['SetupStartTime'];

	$process->SetupEndDate = $row['SetupEndDate'];
	$process->SetupEndTime = $row['SetupEndTime'];

	$process->RunStartDate = $row['RunStartDate'];
	$process->RunStartTime = $row['RunStartTime'];

	$process->RunEndtDate = $row['RunEndDate'];
	$process->RunEndTime = $row['RunEndTime'];

	$process->starttime = getBatchTime( $row['SetupStartDate'], $row['SetupStartTime']);
	$process->endtime = getBatchTime( $row['RunEndDate'], $row['RunEndTime']);

	return $process;
}

function LoadBatchList() {
	global $offsets;

	$newstarts = array();

	$preset = !empty($_GET['preset']) ? $_GET['preset'] : 0;

	switch ($preset) {
		case 1:
			$newstarts = array('200539' =>'2880', '200540'=>'', '200433'=>'', '200536'=>'', '200508'=>'0', '200537'=>'', '200538'=>'', '200535'=>'', '200468'=>'', '200541'=>'', '200542'=>'');
			break;
		case 2:
			$newstarts = array('200539' =>'2880', '200540'=>'', '200433'=>'', '200536'=>'', '200508'=>'1440', '200537'=>'', '200538'=>'', '200535'=>'', '200468'=>'', '200541'=>'', '200542'=>'');
			break;
		case 3:
			$newstarts = array('200539' =>'2880', '200540'=>'', '200433'=>'', '200536'=>'', '200508'=>'1440', '200537'=>'', '200538'=>'', '200535'=>'720', '200468'=>'', '200541'=>'', '200542'=>'');
			break;
		case 4:
			$newstarts = array('200539' =>'2880', '200540'=>'', '200433'=>'', '200536'=>'500', '200508'=>'1440', '200537'=>'', '200538'=>'', '200535'=>'1050', '200468'=>'', '200541'=>'', '200542'=>'');
			break;
		case 5:
			$newstarts = array('200539' =>'2960', '200540'=>'1000', '200433'=>'', '200536'=>'570', '200508'=>'1525', '200537'=>'', '200538'=>'780', '200535'=>'1200', '200468'=>'', '200541'=>'1250', '200542'=>'');
			break;
		default:
			$newstarts = array('200539' =>'', '200540'=>'', '200433'=>'', '200536'=>'', '200508'=>'75', '200537'=>'', '200538'=>'', '200535'=>'', '200468'=>'', '200541'=>'', '200542'=>'');
	}
	
	$offsets = array();
	foreach ($newstarts as $key=>$newstart) {
		if (isset($_GET[$key])) {
			$newstart = $_GET[$key];
		}
		#echo "<br>" . $key .'-'. $newstart;
		$offsets[$key] = $newstart;
	}

    $batch_code = '200539';
	$opts = array();
   # $opts = array( 'Batch_Number' => $batch_code );

    $list = GetTransferList( $opts); 

	return $list;
}

function batch_form() {


}


function test_spread() {
    
 
     error_reporting(-1)	 ;
ini_set("display_errors", 1); 
set_time_limit(0);

  		$ExcelIO = new PHPExcelInterface;
		#$filename = ABSPATH .  "/wp-content/uploads/production_marshalling/"  . "import.xlsx";
		$masters_folder = !empty($cpg_options['acm_marshalling_folder']) ? $cpg_options['acm_marshalling_folder'] : 'production_marshalling';
		
		makepath(cpg_get_document_path() . $masters_folder);
		$filename = cpg_get_document_path() . "$masters_folder" . '/import.xlsx';
		
		if (!file_exists($filename)) {
		    echo '<div>File does not exist</div>';
		    return false;
		}
		$sheetnames = $ExcelIO->GetSheetnames($filename);
		
		if (!in_array("tOMOR", $sheetnames) && !in_array('tMOR16', $sheetnames)) {
		    echo '<div style="color:red;">Could not find either the tab called "tOMOR" or "tMOR16" - please load the correct spreadsheet or rename the appropriate tab(s).</div>';
		    echo "<div>Spreadsheet tabs found: " .  implode(", ", $sheetnames );
		    return false;
		}
	#	$reader->setLoadSheetsOnly($sheetnames);
		$sheets = $ExcelIO->ReadExcel($filename, $sheetnames, false) ;  
  
         processSheet1($sheets['tOMOR']);
         processSheet2($sheets['tMOR16']);
  
        foreach ($sheetnames as $name) {
        #    echo "<br>"  . $name;
           # processSheet($sheets[$name]);
        #   break;
        }
 }
 
 function processSheet1 ( $sheet) {
     if (empty($sheet) || !is_array($sheet)) {
         return false;
     }
     
     $headers = array_shift( $sheet );
   #  print_r($headers);
     foreach ($sheet as $row) {
         $imp = new ImportXferClass(-1);
         foreach ($headers as $key=>$header) {
           #echo $header;
            switch ($header) {
                case 'CreateDate':
                case 'UpdateDate':
                case 'U_RequiredDate':
                case 'U_PlannedStartDate':
                case 'U_PlannedEndDate':
                case 'U_RecommendationStartDate':
                case 'U_RecommendationEndDate':
                case 'Last_Refresh':
                   if (!empty($row[$key]) && $row[$key]!='NULL') {
                        $dte = \PhpOffice\PhpSpreadsheet\Shared\Date    ::excelToDateTimeObject($row[$key]);
                        $imp->{$header} = $dte->format("Y-m-d");
                   }
                    break;
                default:
                    $imp->{$header} = $row[$key];
            }
         } 
         $imp->save();
     }
 }
 
  function processSheet2 ( $sheet) {
     if (empty($sheet) || !is_array($sheet)) {
         return false;
     }
     
     $headers = array_shift( $sheet );
    # print_r($headers);
     foreach ($sheet as $row) {
         $imp = new ImportXferClass2(-1);
         
         foreach ($headers as $key=>$header) {
           #echo $header;
            switch ($header) {
                case 'U_RunStartDate':
                case 'U_SetupStartDate':
                case 'U_QueueStartDate':
                case 'U_StockStartDate':
                case 'U_RunEndDate':
                case 'U_SetupEndDate':
                case 'U_QueueEndDate':
                case 'U_StockEndDate':
                case 'Last_Refresh':
                   if (!empty($row[$key]) && $row[$key]!='NULL') {
                        $dte = \PhpOffice\PhpSpreadsheet\Shared\Date    ::excelToDateTimeObject($row[$key]);
                        $imp->{$header} = $dte->format("Y-m-d");
                   }
                    break;
                default:
                    $imp->{$header} = $row[$key];
            }
         } 
         $imp->save();
     }
 }
 
 
 function export_spread() {
     echo '<div>Export Spreadsheet</div>';
     
     
error_reporting(-1)	 ;
ini_set("display_errors", 1); 
set_time_limit(0);

$import1 = GetImportTable1();
$import2 = GetImportTable2();
$array['tOMOR'] = $import1;
$array['tMOR16'] = $import2;

  		$ExcelIO = new PHPExcelInterface;
  		#$ExcelIO->WriteCSVFile($array, 'test.csv');
  	$file = $ExcelIO->createProductExcel( $array );
  	
  	echo '<a href="'.$file.'">Click to Download Output</a>';
    
     
     
 }
 
?>