<?php


add_action("wp_ajax_createtoolmenu", "get_tool_menu");
add_action("wp_ajax_nopriv_createtoolmenu", "get_tool_menu");
function get_tool_menu() {
	if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	} 

	$booking_id = !empty($_REQUEST['booking_id']) ? $_REQUEST['booking_id'] : 0;
	$reason = !empty($_REQUEST['reason']) ? $_REQUEST['reason'] : 0;

	$success = false;
	ob_start();
	$success = true;

	$diagnostic = ob_get_clean();

	if ($success) {
		$result['type'] = 'success';
		$result['message'] = create_tool_menu();
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['message'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();    
}

function create_tool_menu() { 
    ob_start();
  #  echo '<ul>';
  #  echo '<li class="menulink">Import</li>';
  #  echo '<li class="menulink">Export</li>';
  #  echo '</ul>';

?>
<strong>Scheduler Menu</strong>

[su_accordion]
[su_spoiler title="Scheduling" open="yes" style="fancy"] 
<ul>
<!--<li class="menulink" data-tag="test_gantt" tag="direct">Test Gantt</li>-->
<li class="menulink mainmenu" data-tag="production_gantt" tag="direct">Production Schedule</li>
<li class="menulink" data-tag="workstation_gantt" tag="direct" data-ref="get_workstation_list">Workstation Filter</li>
<li class="menulink mainmenu" data-tag="integrated_gantt" tag="direct">Workstation Schedule</li>
<!--<li class="menulink" data-tag="list_overdate" tag="direct">Overdate List</li>-->
<li class="menulink" data-tag="table_overdate" tag="direct">Overdate Table</li>
<li class="menulink" data-tag="export_overdate" tag="direct">Export Overdate</li>
<li class="menulink" data-tag="table_previousversions" tag="direct">Previous Iterations</li>
<li class="menulink" data-tag="table_changes" tag="direct">Overall Changes</li>
</ul>
[/su_spoiler]
[su_spoiler title="Data Transfer" style="fancy"] 
<ul>
<li class="menulink mainmenu" data-tag="remote_import" tag="direct">Remote Import SQL</li>
<li class="menulink mainmenu" data-tag="export_changes_sql" tag="direct">Export Changes Only to SQL</li>
<li class="menulink" data-tag="upload">Upload Excel Dataset</li>
<li class="menulink" data-tag="import" tag="direct">Process Import Data</li>
<li class="menulink" data-tag="export_full" tag="direct">Export Original Data</li>
<li class="menulink" data-tag="export_latest_dataset" tag="direct">Export Latest Dataset</li>
<li class="menulink" data-tag="export_changes" tag="direct">Export Changes Only</li>
</ul>
[/su_spoiler]
[su_spoiler title="Search" style="fancy"] 
<ul class="search_list">
<li class="menulinkk" ><div><input type="text" value="" name="search_text" id="search_text"><input type="button" value="Search" id="search_button"  class="menulink" data-tag="search_text" data-ref="get_search_text" tag="direct"></div></li>
</ul>

[/su_spoiler]
[/su_accordion]
<?php
    $html = ob_get_clean();
    return do_shortcode($html);
}









#####################################################################
function show_logged_out_message() {
	$success = true;

	if ($success) {
		$result['type'] = 'success';
		$result['main'] = '<div class="login-prompt"><a href="/wp-login.php">Click here to go to Login Page</a></div>';
		$result['message'] = "You are not currently logged in. Please login again before using this tool.";
		$result['errormessage'] = 'No valid user session';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	#$result['diagnostic'] = $diagnostic;

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($result);
	$log->save();

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();
}
#####################################################################

add_action("wp_ajax_test_gantt", "cpg_test_gantt");
add_action("wp_ajax_nopriv_test_gantt", "show_logged_out_message");
function cpg_test_gantt() {
	if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	} 
	$main = '';
	$message = '';
	$errormessage = '';

	$booking_id = !empty($_REQUEST['booking_id']) ? $_REQUEST['booking_id'] : 0;
	$reason = !empty($_REQUEST['reason']) ? $_REQUEST['reason'] : 0;

	$success = false;
	ob_start();
	$success = true;

	print_r($_REQUEST);

	$diagnostic = ob_get_clean();

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($diagnostic);
	$log->save();

	ob_start();

	$gantt = new DisplayGantt();
	#echo $gantt->RenderOutput();
	echo $gantt->RenderBarOutput();

	#echo cp_test_gantt();
	echo "<div>test spread finished</div>";
	$main = ob_get_clean();


	file_put_contents(ABSPATH . "/wp-content/uploads/ggnt.html", $main);


	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($main);
	#$log->message = $main;
	$log->save();

#	$main = "this is my file";

	if ($success) {
		$result['type'] = 'success';
		$result['main'] = $main;
		$result['message'] = "this is the gantt display message";
		$result['errormessage'] = 'error';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['diagnostic'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();    
}


#######################################################################

add_action("wp_ajax_import", "import_dataset");
add_action("wp_ajax_nopriv_import", "show_logged_out_message");
function import_dataset() {
	if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	} 
	$main = '';
	$message = '';
	$errormessage = '';

	$booking_id = !empty($_REQUEST['booking_id']) ? $_REQUEST['booking_id'] : 0;
	$reason = !empty($_REQUEST['reason']) ? $_REQUEST['reason'] : 0;

	$success = false;
	ob_start();
	$success = true;

	print_r($_REQUEST);

	$diagnostic = ob_get_clean();

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($diagnostic);
	$log->save();

	ob_start();
	echo "undergoing maintenance...nothing has been changed";
	import_spreadsheets();
	$main = ob_get_clean();

	if ($success) {
		$result['type'] = 'success';
		$result['main'] = $main;
		$result['message'] = "Data has been imported";
		$result['errormessage'] = '';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['diagnostic'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();    
}
#######################################

add_action("wp_ajax_export", "export_dataset");
add_action("wp_ajax_nopriv_export", "show_logged_out_message");
function export_dataset() {
	if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	} 

	$main = '';
	$message = '&nbsp;';
	$errormessage = '';

	$booking_id = !empty($_REQUEST['booking_id']) ? $_REQUEST['booking_id'] : 0;
	$reason = !empty($_REQUEST['reason']) ? $_REQUEST['reason'] : 0;

	$success = false;
	ob_start();
	$success = true;
	print_r($_REQUEST);

	$diagnostic = ob_get_clean();
	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($diagnostic);
	$log->save();

	ob_start();
	set_time_limit(300);
	export_spread();
	$main = ob_get_clean();



	if ($success) {
		$result['type'] = 'success';
		$result['main'] = $main;
		$result['message'] = $message;
		$result['errormessage'] = $errormessage;
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['diagnostic'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();    
}

#############################


add_action("wp_ajax_upload", "upload_dataset");
add_action("wp_ajax_nopriv_upload", "show_logged_out_message");
function upload_dataset() {
	if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	} 
	$main = '';
	$message = '';
	$errormessage = '';

	$booking_id = !empty($_REQUEST['booking_id']) ? $_REQUEST['booking_id'] : 0;
	$reason = !empty($_REQUEST['reason']) ? $_REQUEST['reason'] : 0;

	$success = false;
	ob_start();
	$success = true;

	print_r($_REQUEST);

	$diagnostic = ob_get_clean();

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($diagnostic);
	$log->save();

	ob_start();
	echo '<div class="marshalling-wrapper">';
	HandleMarshallingFolder();
	echo '</div>';
	$main = ob_get_clean();


	if ($success) {
		$result['type'] = 'success';
		$result['main'] = $main;
		$result['message'] = "Upload the source spreadsheet to the import folder ";
		$result['errormessage'] = '';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['diagnostic'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();    
}
##############################################
add_action("wp_ajax_switch_iteration", "switch_batch_iteration");
add_action("wp_ajax_nopriv_switch_iteration", "show_logged_out_message");
function switch_batch_iteration() {
	if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	} 
	$main = '';
	$message = '';
	$errormessage = '';

	$booking_id = !empty($_REQUEST['booking_id']) ? $_REQUEST['booking_id'] : 0;
	$reason = !empty($_REQUEST['reason']) ? $_REQUEST['reason'] : 0;

	$success = false;
	ob_start();
	$success = true;

	print_r($_REQUEST);

	$diagnostic = ob_get_clean();

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($diagnostic);
	$log->save();

	ob_start();
	#import_spreadsheets();
	// get the batch ... for each in the batch the invert the deleted flag...either to delete or undelete
	// for each Bid entry then if activating the delete all the others with same bid first
	//  if not activating then we can leave all the other records
	$params = array( 'update_code' => $_REQUEST['post_id'], 'deleted'=>0);
	$batches = GetModifiedBatchData($params);
	if (empty($batches)) {
		$params = array( 'update_code' => $_REQUEST['post_id'], 'deleted'=>1);
		$batches = GetModifiedBatchData($params);
	}
	if (!empty($batches)) {
		foreach ($batches as $batch) {
			echo $batch['id'] . ' ' ;
			$b = new BatchItemUpdateClass($batch['id']) ;
			if (empty($b->id)) {
				echo "getting deleted batch" . $batch['id'];
				$b = new BatchItemUpdateClass(array('id' => $batch['id'], 'deleted' => 1 ) );
			}
			if (!empty($b->id)) {
				if ($b->deleted) {
					// we need to delete any other rows with same bid
					deleteObsoluteBatchItemUpdates($batch['bid']);
				}
				$b->deleted = !$b->deleted ;
				$b->save();
			}
		}
	}


	#print_r($batches);

	$main = ob_get_clean();

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($main);
	$log->save();

	if ($success) {
		$result['type'] = 'success';
		$result['main'] = $main;
		$result['message'] = "Data has been imported";
		$result['errormessage'] = '';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['diagnostic'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();    
}
#######################################



add_action("wp_ajax_cpg_uploadfile", "cpg_upload_file");
#add_action("wp_ajax_nopriv_cpg_uploadfile", "cpg_upload_file");
function cpg_upload_file() {
	global $cpg_options;

	#if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	#} 
	$main = '';
	$message = '';
	$errormessage = '';

	$success = false;
	ob_start();
	$success = true;
	print_r($_POST);
	print_r($_FILES);

	$diagnostic = ob_get_clean();

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($diagnostic);
	$log->save();

	ob_start();
	echo '<div class="marshalling-wrapper">';
	$masters_folder = !empty($cpg_options['cpg_marshalling_folder']) ? $cpg_options['cpg_marshalling_folder'] : 'production_marshalling';
		
	makepath(cpg_get_document_path() . $masters_folder);
	$filename = cpg_get_document_path() . "$masters_folder" . '/import.xlsx';

	if ( move_uploaded_file($_FILES['filename']['tmp_name'], $filename) ) { 
		echo '<div>File was successfully uploaded.</div>';
	} else {
		echo '<div>There was a problem uploading the file. Try again or seek assistance.</div>';
	}

	echo '</div>';
	$main = ob_get_clean();


	if ($success) {
		$result['type'] = 'success';
		$result['main'] = $main;
		$result['message'] = "Upload the source spreadsheet to the import folder ";
		$result['errormessage'] = 'error';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['diagnostic'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();  
}


add_action("wp_ajax_cpg_purge_imports", "cpg_purge_imports");
#add_action("wp_ajax_nopriv_cpg_purge_imports", "cpg_purge_imports");
function cpg_purge_imports() {
	global $cpg_options;
	#if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	#} 
	$main = '';
	$message = '';
	$errormessage = '';

	$success = false;
	ob_start();
	$success = true;
	print_r($_POST);

	$diagnostic = ob_get_clean();

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($diagnostic);
	$log->save();

	ob_start();
	echo '<div class="marshalling-wrapper">';
	$masters_folder = !empty($cpg_options['cpg_marshalling_folder']) ? $cpg_options['cpg_marshalling_folder'] : 'production_marshalling';
		
	makepath(cpg_get_document_path() . $masters_folder);
	$folder = cpg_get_document_path() . "$masters_folder" ;

	array_map( 'unlink', array_filter((array) glob($folder. "/*") ) );

	echo '<div>All files were deleted</div>';

	echo '</div>';
	$main = ob_get_clean();


	if ($success) {
		$result['type'] = 'success';
		$result['main'] = $main;
		$result['message'] = "Upload the source spreadsheet to the import folder ";
		$result['errormessage'] = 'error';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['diagnostic'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();  
}

################################################################################

add_action("wp_ajax_commitchanges", "commitchanges_handler");
add_action("wp_ajax_nopriv_commitchanges", "show_logged_out_message");
function commitchanges_handler() {
	if ( !wp_verify_nonce( $_REQUEST['nonce'], "cancelSchoolBooking_nonce")) {
	#	exit("No naughty business please");
	} 

	$success = false;
	ob_start();
	$success = true;

    $params = is_array($_REQUEST['post_id']) ? $_REQUEST['post_id'] : array() ;

	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($params);
	$log->save();

	$diagnostic = ob_get_clean();

	ob_start();

	$update_code = randomFilename(8);
	$update = new DateTime();

	foreach ($params as $param) {

		$id = str_replace("task_", "", $param['id']);
		$src = new ImportXferClass2($id);
		if (!empty($src->id)) {
			$b = getInstanceForStorage( $src );

			$b = apply_filters("custp_adjust_production_timings", $b, $param['time']);

			if (!empty($b)) {
				deleteObsoluteBatchItemUpdates($id);
				$b->update_code = $update_code;
				$b->update_time = $update->format("Y-m-d H:i:s");
				$b->save();
			}
		}

	}

	$html = ob_get_clean();


	$log = new cpgDiagnosticLogClass(-1);
	$log->message = $html;
	$log->save();


	if ($success) {
		$result['type'] = 'success';
		$result['message'] = 'data has been saved';
	} else {
		$result['type'] = 'failed';
		$result['message'] = 'request failed';
	}

	$result['message'] = $diagnostic;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		$result = json_encode($result);
		echo $result;
	}
	die();    
}

############################################################################################################

add_filter("custp_adjust_production_timings", "custp_adjust_production_timings", 10, 2) ;
function custp_adjust_production_timings( $b, $time ) {

	ob_start();
	
	$start = new DateTime($time);

	$prod_start = getBatchTime( $b->U_SetupStartDate, $b->U_SetupStartTime );

	if ($prod_start<>$start){
		$diff = date_diff($prod_start, $start);
		#print_r($diff);
		$times = splitBatchTime($start);

		$b->U_SetupStartDate = $times['date'];
		$b->U_SetupStartTime = $times['time'];
 		$setup_end = getBatchTime( $b->U_SetupEndDate, $b->U_SetupEndTime );
		$setup_end = date_add($setup_end, $diff) ;
		$times = splitBatchTime($setup_end);
		$b->U_SetupEndDate = $times['date'];
		$b->U_SetupEndTime = $times['time'];

		$setup_end = getBatchTime( $b->U_QueueStartDate, $b->U_QueueStartTime );
		$setup_end = date_add($setup_end, $diff) ;
		$times = splitBatchTime($setup_end);
		$b->U_QueueStartDate = $times['date'];
		$b->U_QueueStartTime = $times['time'];
		$setup_end = getBatchTime( $b->U_QueueEndDate, $b->U_QueueEndTime );
		$setup_end = date_add($setup_end, $diff) ;
		$times = splitBatchTime($setup_end);
		$b->U_QueueEndDate = $times['date'];
		$b->U_QueueEndTime = $times['time'];

		$setup_end = getBatchTime( $b->U_RunStartDate, $b->U_RunStartTime );
		$setup_end = date_add($setup_end, $diff) ;
		$times = splitBatchTime($setup_end);
		$b->U_RunStartDate = $times['date'];
		$b->U_RunStartTime = $times['time'];
		$setup_end = getBatchTime( $b->U_RunEndDate, $b->U_RunEndTime );
		$setup_end = date_add($setup_end, $diff) ;
		$times = splitBatchTime($setup_end);
		$b->U_RunEndDate = $times['date'];
		$b->U_RunEndTime = $times['time'];

		$setup_end = getBatchTime( $b->U_StockStartDate, $b->U_StockStartTime );
		$setup_end = date_add($setup_end, $diff) ;
		$times = splitBatchTime($setup_end);
		$b->U_StockStartDate = $times['date'];
		$b->U_StockStartTime = $times['time'];
		$setup_end = getBatchTime( $b->U_StockEndDate, $b->U_StockEndTime );
		$setup_end = date_add($setup_end, $diff) ;
		$times = splitBatchTime($setup_end);
		$b->U_StockEndDate = $times['date'];
		$b->U_StockEndTime = $times['time'];

	}


	$html = ob_get_clean();
	
	$log = new cpgDiagnosticLogClass(-1);
	$log->message = json_encode($html);
	$log->save();

	return $b;
} # end of custp_adjust_production_timings

add_filter("custp_merge_modified_batch", "custp_merge_modified_batch", 10, 2) ;
function custp_merge_modified_batch( $list, $mods = array()) {
	$mods = MergeModifiedBatchData($list) ;

	if (!empty($mods)) {
		$list = $mods;
	}

	return $list;
}
?>