
var cpg_ajax_url = '';
var cpg_admin_ajax = '';
var nonce = '';
var shifted = false;
var cntrl = false;
var altKey = false;

jQuery(document).ready(function() {

	cpg_ajax_url = ajax_object.cpg_ajax_url; 
	cpg_admin_ajax = ajax_object.cpg_admin_ajax;
	nonce = ajax_object.nonce;

	//console.log("nonce=" + ajax_object.nonce);

	//console.log(ajax_object); 

	jQuery("body").on("click", ".menulink", function() {
		var menutag = jQuery(this).attr("tag");
		if (menutag=="direct")
		{
			var fieldstring = '';
			console.log(this);
			var callback = jQuery(this).attr("data-ref");
			if (callback)
			{
				//var fieldstring = callback;
				console.log("getting fieldstring " + callback);
				if (typeof window[callback] === 'function'){
					fieldstring = window[callback]();
					if (!fieldstring)
					{
						switch(callback) {
							case 'get_search_text':
								alert("You must enter a valid search text");
								break;
							default:
								alert("You must select one or more workstations");
						}
						return false;
					}
					//e.preventDefault();
				}
			}
			menu_handler_direct(this, fieldstring);
			return false;
		}
		menu_handler(this);
	});

	jQuery("body").on("click", ".hide-batch-chk", function() {
		var hidden = jQuery(this).is(":checked");
		var id = jQuery(this).attr("id");

		hide_batch_by_number(id, hidden);
	});
    
	jQuery("body").on("click", ".hide-works-chk", function() {
		var hidden = jQuery(this).is(":checked");
		var id = jQuery(this).attr("id");

		hide_workstation_by_name(id, hidden);
	});

	jQuery(".task_draggable").each(function(){

		// Make the DIV element draggable:
		var id = jQuery(this).attr("id");
		dragElement(document.getElementById(id));
	});

	jQuery("#task_9982").on("mouseover", function() {
		jQuery("#cp_stat").html( getDragDate(this) );

	});
    
   // update_main_panel( 'initialising main  content');

	jQuery(document).keydown(function(e) {
        shifted = e.shiftKey;
		cntrl = e.ctrlKey ;
		altKey = e.altKey; //|| (e.ctrlKey && e.code=='ControlLeft');
    });

    jQuery(document).keyup(function(e) {
        shifted = false;
		cntrl = false;
		altKey = false;
    });

	jQuery("#cp-commit").on("click", function() {
		handle_committed_changes(this);
	});

	jQuery(".progress-container").on("mousedown", function(e) {
		//var elm = jQuery(this);
		//zoomControl(elm);
		//return false;
		var elm = jQuery(this);
		var posn = e.pageX - elm.offset().left;
		var width = jQuery(".progress-container").width();

		var zoom = (2 * posn ) / width;
		//jQuery("#myProgressBar").html(width + '= ' +  posn + '#'+ (100 * posn/width) );
		jQuery("#myProgressBar").css("width", (100 * posn/width) + "%");
		jQuery(".gchart").css( "zoom", zoom);
	});

	var slidemousedown = false;
	jQuery(".slider-container").on("mousemove", function(e) {
		//var elm = jQuery(this);
		//zoomControl(elm);
		//return false;
		if (!slidemousedown)
		{
			return false;
		}

		slideChart(e);
		return false;



		const chartpanel =jQuery(".gchart-sc-ms");

		var chartwidth = chartpanel.width();
		var elm = jQuery(this);
		var posn = e.pageX - elm.offset().left;
		var width = jQuery(".slider-container").width();
		var halfbarwidth = jQuery("#mySliderBar").width()/2;
		var barposn = posn - halfbarwidth;
		if (barposn<0)
		{
			barposn = 0;
		}
		if (barposn>(width-jQuery("#mySliderBar").width()))
		{
			barposn = width-jQuery("#mySliderBar").width();
		}

		var chartposn =  (chartwidth * posn)  / width;
		//jQuery("#myProgressBar").html(chartwidth + '= ' +  width + ' # '+ posn + ' ' + chartposn  + ' ' + halfbarwidth );
		jQuery("#mySliderBar").css("left", barposn + "px");
		jQuery(".gchart-sc").scrollLeft(chartposn);
		//jQuery("#mySliderBar").css("left", (zoom-halfbarwidth) + "%");
		//jQuery(".gchart").css( "zoom", zoom);
	});

	jQuery(".slider-container").on("mousedown", function(e) {
		slidemousedown = true;
		slideChart(e);
	});
	jQuery(".slider-container").on("mouseup", function(e) {
		slidemousedown = false;
	});
	jQuery(".slider-container").on("mouseleave", function(e) {
		slidemousedown = false;
	});

    jQuery("#filter_workstations").on("click", function() {
		filter_by_workstations(this);
	});

	jQuery("#all_products").on("click", function() {
		var checked = jQuery("#all_products").is(":checked");
		jQuery(".hide-batch-chk").each(function() {
			if (shifted)
			{
				if (jQuery(this).is(":checked")!=checked)
				{
					jQuery(this).click();
				}
			} else  {
				jQuery(this).click();
			}
		});
	});

	jQuery("#all_workareas").on("click", function() {
		var checked = jQuery("#all_products").is(":checked");
		jQuery(".hide-works-chk").each(function() {
			if (shifted)
			{
				if (jQuery(this).is(":checked")!=checked)
				{
					jQuery(this).click();
				}
			} else  {
				jQuery(this).click();
			}
		});
	});

	jQuery(".task_draggable").each(function() {
		var id = jQuery(this).attr("id");
		var elmnt = document.getElementById(id);

		jQuery(this).attr("data-left", elmnt.offsetLeft);
		//console.log(elmnt.offsetLeft);
	});

	jQuery(".Table-row.showRow").on("click", function() {
		var batch = jQuery(this).attr("data-tag");

		jQuery(".Table-row.hideRow").each(function() {
			if (jQuery(this).attr("data-tag")==batch)
			{
				if (jQuery(this).hasClass("hidden"))
				{
					jQuery(this).removeClass("hidden");
				} else {
					jQuery(this).addClass("hidden");
				}
			}
		});
	});


	jQuery(".iteration-link").on("click", function(e) {
		e.preventDefault();
		e.stopPropagation();
		handle_iteration_change(this);
	});

	jQuery("#toggle_original_tasks").on("click", function() {
		jQuery(".notDraggable").each(function() {
			if (jQuery(this).is(':visible'))
			{
				jQuery(this).hide();
			} else {
				jQuery(this).show();
			}
		});
	});

	jQuery("#check_tasks").on("click", function() {
		run_check_tasks() ;
	});

	jQuery(document).on("click", "#import-process-submit", function(e) {
		e.preventDefault();	// Moved to the top

		if (!confirm("Are you sure you wish to proceed?"))
		{
			return false;
		}
		import_show_processing_message();
		jQuery('document #import_process_form').submit();
		return false
	});

	startUpScroll();
	handle_not_draggable() ;

}); // 


function import_show_processing_message(){ 
	jQuery("#ajax-wait").show();
	jQuery("#main-panel").html('<div class="data-processing">Data processing...some tasks may take a while!</div>');

	var fieldstring = '';

	var newForm = jQuery('<form>', {
			'action': '/dashboard/',
			'method': 'post',
			'target': '_top'});
		newForm.append(jQuery('<input>', {
			'name': 'action',
			'value': 'import_process',
			'type': 'hidden'
		}));
		newForm.append(jQuery('<input>', {
			'name': 'field_id',
			'value': fieldstring,
			'type': 'hidden'
		}));
		newForm.appendTo('body');
		newForm.submit();
		newForm.remove();


	return false;
}



function run_check_tasks() {
	
	var fieldstring = [];

	jQuery(".task_draggable").each(function() {
			if (!jQuery(this).hasClass("notDraggable") )
			{
				var obj = {};
				obj['id'] = jQuery(this).attr("id");
				obj['left'] = jQuery(this).offset().left;
				obj['right'] = jQuery(this).offset().left + jQuery(this).width();
				obj['class'] = jQuery(this).closest("li").attr("wrk-tag");
				fieldstring.push(obj);
			}
	});

	//console.log(fieldstring);
	var overlaps = findOverlappingObjects(fieldstring);
//	console.log(overlaps);
	jQuery.each(overlaps, function() {
		var obj1 = this.obj1['id'];
		var elmnt = document.getElementById(obj1);
	
		jQuery("." + getDragDate(elmnt, 'ymds')).addClass("conflict_date") 
		jQuery("#" + obj1).addClass("conflicted_task");
		var obj2 = this.obj2['id'];
		elmnt = document.getElementById(obj2);
		jQuery("." + getDragDate(elmnt, 'ymds')).addClass("conflict_date");
		jQuery("#" + obj2).addClass("conflicted_task");
	});


}

function findOverlappingObjects(objects) {
    const overlappingObjects = [];

    // Iterate through each object and compare it with the rest
    for (let i = 0; i < objects.length; i++) {
        for (let j = i + 1; j < objects.length; j++) {
           const obj1 = objects[i];
            const obj2 = objects[j];

            // Check if obj1 and obj2 overlap
            if (obj1.right >= obj2.left && obj1.left <= obj2.right) {
                // Add to the results if there's an overlap
				if (obj1.class==obj2.class)
				{
	console.log(obj1);
	console.log(obj2);
					overlappingObjects.push({ obj1, obj2 });
				}
            }
        }
    }

    return overlappingObjects;
}




function get_workstation_list() {
	var fieldstring = [] ;

	jQuery(".hide-works-chk").each(function() {
		if (jQuery(this).is(":checked"))
		{
			var obj = {};
			obj['id'] = jQuery(this).attr("data-tag");
			fieldstring.push(obj);
		}
	});

	if (fieldstring==0)
	{
		return;
	}

	fieldstring = JSON.stringify(fieldstring);
	console.log(fieldstring);

	return fieldstring;
}

function get_search_text() {
	var fieldstring = [] ;

	console.log("get_search_text");
	var searchstring = jQuery('#search_text').val();
	var searches = searchstring.split(", ");
	jQuery.each(searches, function() {
	
		console.log(this);
			var obj = {};
			obj['id'] = 'search_text';
			obj['value'] = this //jQuery('#search_text').val();
			fieldstring.push(obj);
	});

	if (fieldstring==0)
	{
		return;
	}

	fieldstring = JSON.stringify(fieldstring);
	console.log(fieldstring);

	return fieldstring;
}

function handle_iteration_change(select) {

	//runajax_handler
	var batch = jQuery(select).attr("data-ref");
	menu_handler(select, batch);
}

function handle_not_draggable() {
	jQuery(".notDraggable").each(function() {
		if (jQuery(this).hasClass(".task_draggable"))
		{
			jQuery(this).removeClass(".task_draggable");
		}
	});

}

function startUpScroll() {
	if (jQuery(".time").length==0)
	{
		return false;
	}
	

    var scrollTo = jQuery('.time').position().left;                   
    //console.log(scrollTo);
    // simply update the scroll of the scroller
    // $('.scroller').scrollLeft(scrollTo); 
    // use an animation to scroll to the destination
    jQuery('.gchart-sc').animate({'scrollLeft': scrollTo}, 500); 
	var scrollWidth = jQuery(".gchart-sc-ms").width();
	var width = jQuery(".slider-container").width();

	var scrollpercent = width * (scrollTo / scrollWidth);
	var halfbarwidth = jQuery("#mySliderBar").width()/2;
	//console.log(scrollpercent + ' ' + width + ' ' + scrollWidth + ' ' + halfbarwidth);
	jQuery("#mySliderBar").css("left", (scrollpercent-halfbarwidth) + "px");

}


function slideChart(e) {

		const chartpanel =jQuery(".gchart-sc-ms");

		var chartwidth = chartpanel.width();
		var elm = jQuery(".progress-container");
		var posn = e.pageX - elm.offset().left;
		var width = jQuery(".slider-container").width();
		var halfbarwidth = jQuery("#mySliderBar").width()/2;
		var barposn = posn - halfbarwidth;
		if (barposn<0)
		{
			barposn = 0;
		}
		if (barposn>(width-jQuery("#mySliderBar").width()))
		{
			barposn = width-jQuery("#mySliderBar").width();
		}

		var chartposn =  (chartwidth * posn)  / width;
		//jQuery("#myProgressBar").html(chartwidth + '= ' +  width + ' # '+ posn + ' ' + chartposn  + ' ' + halfbarwidth );
		jQuery("#mySliderBar").css("left", barposn + "px");
		jQuery(".gchart-sc").scrollLeft(chartposn);

}


let mouseDown = false;
let startX, scrollLeft;
let scrstartX;
const slider = document.querySelector(".gchart-sc-ms");
const panel = document.querySelector(".gchart-sc");
const scrollbar = document.querySelector("#mySliderBar");
const scroller = document.querySelector(".slider-container");

const startDragging = (e) => {
  mouseDown = true;
  //document.documentElement.style.cursor = 'pointer';
  document.documentElement.style.cursor = 'move';
  jQuery(".gchart-sc-ms").css("background-color", '#a8f1d4');
  startX = e.pageX ;//- panel.offsetLeft;
  scrollLeft = panel.scrollLeft;
  jQuery("#myProgressBar").html(startX + ' ' + scrollLeft + ' ' + panel.offsetLeft + '=' + e.pageX );
}

const stopDragging = (e) => {
  mouseDown = false;
  document.documentElement.style.cursor = 'default';
  jQuery(".gchart-sc-ms").css("background-color", 'white');
}

const move = (e) => {
  e.preventDefault();
  if(!mouseDown) { return; }
  const x = e.pageX ;//- panel.offsetLeft;
  const scroll = x - startX;
  panel.scrollLeft = scrollLeft - scroll;
  jQuery("#myProgressBar").html(scroll + ' ' + scrollLeft + ' ' + panel.scrollLeft + '=' + e.pageX );

}

// Add the event listeners
//slider.addEventListener('mousemove', move, false);
//slider.addEventListener('mousedown', startDragging, false);
//slider.addEventListener('mouseup', stopDragging, false);
//slider.addEventListener('mouseleave', stopDragging, false);

const scrollMove = (e) => {
  e.preventDefault();
  if(!mouseDown) { return; }

  var lastposn = scroller.offsetLeft;
//  scroller.style.left = (offset - pos1) + "px";

  
  const currentposn = e.clientX - scroller.offsetLeft;
// movement = scrollLeft - xx - lastposn;
  movement = currentposn - scrstartX  ;
  var newleft = (scrollLeft + movement);
  if (newleft<0)
  {
	  newleft = 0;
  }
  if (newleft>(scroller.clientWidth-scrollbar.clientWidth))
  {
	  newleft = scroller.clientWidth - scrollbar.clientWidth;
  }
  scrollbar.style.left =  newleft + 'px';
  var percent = newleft/scroller.clientWidth;
  newleft = slider.offsetWidth * (newleft/scroller.clientWidth);
  jQuery(".gchart-sc").scrollLeft(newleft);


  //jQuery("#myProgressBar").html(scrstartX + ' ' + scrollLeft + ' ' + panel.offsetWidth + '=' + percent + ' ' + movement + '|' + scroller.clientWidth + '-' + scrollbar.offsetLeft);

}
const scrollDragging = (e) => {
  mouseDown = true;
  //document.documentElement.style.cursor = 'pointer';
  document.documentElement.style.cursor = 'move';
  scrstartX = e.clientX - scroller.offsetLeft;
  scrollLeft = scrollbar.offsetLeft;
 // jQuery("#myProgressBar").html(scrstartX + ' ' + scrollLeft + ' ' + scrollbar.offsetLeft + '=' + e.clientX );
}

const stopscrollDragging = (e) => {
  mouseDown = false;
  document.documentElement.style.cursor = 'default';
  jQuery(".gchart-sc-ms").css("background-color", 'white');
}

//scroller.addEventListener('mousemove', scrollMove, false);
//scroller.addEventListener('mousedown', scrollDragging, false);
//scroller.addEventListener('mouseup', stopscrollDragging, false);
//scroller.addEventListener('mouseleave', stopscrollDragging, false);

function hide_batch_by_number( id, hidden) {
	if (hidden==true)
	{
		jQuery("." + id).hide();
		//console.log("hide");
	} else {
		//console.log("show");
		jQuery("." + id).show();
	}
}

function hide_workstation_by_name( id, hidden ) {
	if (hidden==true)
	{
		//jQuery("." + id).hide();
		jQuery("." + id).each(function() {
			jQuery(this).hide();
			var siblings = jQuery(this).siblings(":visible").length;
			var tagname = jQuery(this).prop('nodeName');
			if (!siblings && tagname=='LI')
			{
				jQuery(this).parent().prev().hide()
			}
		});
	} else {
		console.log("show");
		jQuery("." + id).show();
		jQuery("." + id).each(function() {
			jQuery(this).show();
			jQuery(this).parent().prev().show()
		});
	}
}


function update_menu_panel(content=''){
    
    jQuery('#menu-panel').html(content);
    
}

function update_main_panel(content=''){
    
    jQuery('#dash-main').html(content);
    
}

function menu_handler_direct(select, fieldstring=''){
	console.log(select);

	var action = jQuery(select).attr("data-tag");

	jQuery("#ajax-wait").show();
	jQuery("#main-panel").html('<div class="data-processing">Data processing...some tasks may take a while!</div>');

	var newForm = jQuery('<form>', {
			'action': '/dashboard/',
			'method': 'post',
			'target': '_top'});
		newForm.append(jQuery('<input>', {
			'name': 'action',
			'value': action,
			'type': 'hidden'
		}));
		newForm.append(jQuery('<input>', {
			'name': 'field_id',
			'value': fieldstring,
			'type': 'hidden'
		}));
		newForm.appendTo('body');
		newForm.submit();
		newForm.remove();

}

function menu_handler(select, fieldstring='') {

	var fn = jQuery(select).attr("data-tag");

	console.log(fn);

	switch (fn) {
		case 'import':
			if (!confirm("This action will import and overwrite the current dataset. Do you want to proceed?"))
			{
				return false;
			}
			runajax_handler('import');
			break;
		case 'export':
			if (!confirm("This action will export the current dataset. Do you want to proceed?"))
			{
				return false;
			}
			runajax_handler('export');
			break;
		default:
			runajax_handler(fn, fieldstring);
	}

}

function runajax_handler (menuchoice, fieldstring='') {

	if (typeof menuchoice == 'undefined')
	{
		console.log("menu choice missing");
		return false;
	}

	//var fieldstring = '';

	jQuery.ajax({
		type : "post",
        dataType : "json",
        url : cpg_admin_ajax,
		timeout:90000,
        data : {action: menuchoice, post_id : fieldstring, nonce: nonce},
  		beforeSend: function() { jQuery('#ajax-wait').show(); },
		statusCode: {
			500: function() {
					alert("error 500");
				}
		},
		complete: function() { jQuery('#ajax-wait').hide(); },
        success: function(response) {
			console.log("response");
			console.log(response);
			if(response.type == "success") {
				console.log(response.debug);
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html(response.main);
				jQuery("#main-panel").show();
			} else if(response.type == "failed") {
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html('');
				jQuery("#main-panel").show();
		    } else {
               alert("Your response could not be added");
            }
         },
		error : function(jqXHR, textStatus, errorThrown){
			 console.log(jqXHR);
			 console.log(textStatus);
			 console.log(errorThrown);
			alert("Got some error: " + errorThrown);
		}
    })
}

function upload_import_form(select) {

	var form = jQuery("#upload_import_form");
	console.log(form);

    // you can't pass jQuery form it has to be JavaScript form object
    var formData = new FormData(form[0]);
	formData.append("action", "cpg_uploadfile"); 
	console.log(formData);
	console.log("clicked upload import form");

    // Grab the File upload control and append each file manually to FormData
    var files = form.find("#myFile")[0].files;
	console.log(files);

	jQuery.each(files, function() {
      var file = jQuery(this);
	  console.log(file);
      formData.append(file[0].name, file[0]);
    });



for (var key of formData.entries()) {
			console.log(key[0] + ', ' + key[1])
		}

//	console.log(formData);


	//var datastring = jQuery("#upload_import_form").serialize();
//	var formData = new FormData(select);
//	console.log(formData);
	var fieldstring = JSON.stringify(formData);
	fieldstring = { fieldstring  };
	console.log(fieldstring);

	jQuery.ajax({
		type : "post",
        dataType : "json",
        url : cpg_admin_ajax,
		timeout:30000,
		processData:false,
		contentType : false,
      //  data : {action: "uploadfile", post_id : fieldstring, nonce: nonce},
        data : formData,
  		beforeSend: function() { jQuery('#ajax-wait').show(); },
		statusCode: {
			500: function() {
					alert("error 500");
				}
		},
		complete: function() { jQuery('#ajax-wait').hide(); },
        success: function(response) {
			console.log("response");
			console.log(response);
			if(response.type == "success") {
				console.log(response.debug);
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html(response.main);
				jQuery("#main-panel").show();
			} else if(response.type == "failed") {
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html('');
				jQuery("#main-panel").show();
		    } else {
               alert("Your response could not be added");
            }
         },
		error : function(jqXHR, textStatus, errorThrown){
			 console.log(jqXHR);
			 console.log(textStatus);
			 console.log(errorThrown);
			alert("Got some error: " + errorThrown);
		}
    })



}

function empty_marshalling_folder() {

	var fieldstring = '';

	jQuery.ajax({
		type : "post",
        dataType : "json",
        url : cpg_admin_ajax,
		timeout:30000,
        data : {action: "cpg_purge_imports", post_id : fieldstring, nonce: nonce},
  		beforeSend: function() { jQuery('#ajax-wait').show(); },
		statusCode: {
			500: function() {
					alert("error 500");
				}
		},
		complete: function() { jQuery('#ajax-wait').hide(); },
        success: function(response) {
			console.log("response");
			console.log(response);
			if(response.type == "success") {
				console.log(response.debug);
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html(response.main);
				jQuery("#main-panel").show();
			} else if(response.type == "failed") {
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html('');
				jQuery("#main-panel").show();
		    } else {
               alert("Your response could not be added");
            }
         },
		error : function(jqXHR, textStatus, errorThrown){
			 console.log(jqXHR);
			 console.log(textStatus);
			 console.log(errorThrown);
			alert("Got some error: " + errorThrown);
		}
    })
}


// Make the DIV element draggable:
//dragElement(document.getElementById("mydiv"));

function dragElement(elmnt) {
//	console.log(elmnt);
//	console.log("drag");
    var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
	var left;
	var offset;
	var batch, movement;

	var cellwidth, firstdate;

	var dataset = jQuery(elmnt).attr("data-set");
	var dataparts = dataset.split(":");
	cellwidth = dataparts[0];
	firstdate = dataparts[1];
//  if (document.getElementById(elmnt.id + "header")) {
    // if present, the header is where you move the DIV from:
//    document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
 // } else {
    // otherwise, move the DIV from anywhere inside the DIV:    


    elmnt.onmousedown = dragMouseDown;
 //}

  function dragMouseDown(e) {
    e = e || window.event;
    e.preventDefault();
    // get the mouse cursor position at startup:
    pos3 = e.clientX;
    pos4 = e.clientY;

	left = elmnt.style.left;
	offset = elmnt.offsetLeft;

	//jQuery("#posdiag").html(pos1 + '+' + pos2 + '+' + pos3 + '+' + pos4 );
	jQuery("#posdiag").html( elmnt.style.left  + '_' + elmnt.offsetLeft );
    document.onmouseup = closeDragElement;
    // call a function whenever the cursor moves:
    document.onmousemove = elementDrag;

	batch = jQuery(this).attr("data-tag");
	product = jQuery(this).attr("data-ref");
	//console.log("batch=" + batch);
  }

  function elementDrag(e) {
    e = e || window.event;
    e.preventDefault();

    // calculate the new cursor position:
    pos1 = pos3 - e.clientX;
    pos2 = pos4 - e.clientY;
 //   pos3 = e.clientX;
  //  pos4 = e.clientY;
    // set the element's new position:
  //  elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
//	jQuery("#posdiag").html(pos1 + '+' + pos2 + '+' + pos3 + '+' + pos4 + '=' + elmnt.style.left  + '_' + elmnt.offsetLeft );
   // elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
	var lastposn = elmnt.offsetLeft;
    elmnt.style.left = (offset - pos1) + "px";
	movement = offset - pos1 - lastposn;
	jQuery(elmnt).attr("data-moved", true);
    //elmnt.style.left = pos1 + "px";
	//jQuery("#posdiag").html(pos1 + '+' + pos2 + '+' + pos3 + '+' + pos4 + '=' + elmnt.style.left  + '_' + elmnt.offsetLeft );
	//jQuery("#posdiag").html(left + ' ' + offset + ' dragging' + pos1 + '+' + pos2 + '+' + pos3 + '+' + pos4 + '==' + movement); 
	jQuery("#cp_stat").html( getDragDate(elmnt) );
	//console.log("element drag");
	switch (true)
	{
		case !shifted && cntrl && !altKey:
			// do nothing
			//console.log("control");
			break;
		case !shifted && !cntrl && !altKey :
			//console.log("normal");
			dragBatch( elmnt, batch, movement);
			break;
		case shifted && !altKey :
			//console.log("shift key");
			dragRemainingBatch(elmnt, batch, movement);
			break;
		case !shifted && altKey :
			//console.log("alt key");
			dragRemainingProduct(elmnt, product, movement);
			break;
		case shifted && altKey:
			//alert("both pressed");
			break;
		default:
			console.log("no action taken");
	}

	return false;
	if (!shifted && !cntrl & !altKey)
	{
		dragBatch( elmnt, batch, movement);
	} else if (shifted)
	{
		//dragRemainingBatch(elmnt, batch, movement);
		dragRemainingProduct(elmnt, product, movement);
	}
  }

  function getDragDateXX(format='') {
	 var offset = elmnt.offsetLeft / cellwidth;

	var allocationstart =	(offset * 86400) + parseInt(firstdate) ;
	var unixTimestamp = allocationstart;
	var date = new Date(unixTimestamp*1000);

	var day = (date.getDate() < 10 ? '0' : '') + date.getDate(); //adding leading 0 if date less than 10 for the required dd format
	var month = (date.getMonth() < 9 ? '0' : '') + (date.getMonth() + 1); //adding leading 0 if month less than 10 for mm format. Used less than 9 because javascriptmonths are 0 based.
	var year = date.getFullYear(); //full year in yyyy format

	//var hours = ((date.getHours() % 12 || 12) < 10 ? '0' : '') + (date.getHours() % 12 || 12); //converting 24h to 12h and using 12 instead of 0. also appending 0 if hour less than 10 for the required hh format
	var hours = ((date.getHours() ) < 10 ? '0' : '') + date.getHours() ; //converting 24h to 12h and using 12 instead of 0. also appending 0 if hour less than 10 for the required hh format
	var minutes = (date.getMinutes() < 10 ? '0' : '') + date.getMinutes(); //adding 0 if minute less than 10 for the required mm format
	var meridiem = (date.getHours() >= 12) ? 'pm' : 'am'; //setting meridiem if hours24 greater than 12

	var formattedDate = day + '-' + month + '-' + year + ' ' + hours + ':' + minutes;

	switch (format)
	{
	case 'full':
		formattedDate = day + '-' + month + '-' + year + ' ' + hours + ':' + minutes;
		break;
	case 'short':
		formattedDate = day + '-' + month + ' ' + hours + ':' + minutes;
		break;
	default:
		formattedDate = 'Start: ' + hours + ':' + minutes;
	}
		 
	//console.log(formattedDate);
	return formattedDate;
  }

  function closeDragElement() {
    // stop moving when mouse button is released:
    document.onmouseup = null;
    document.onmousemove = null;

	setTimeout(function() { 
        jQuery("#cp_stat").html('');
    }, 2000);
  }

  function dragBatch(current, batch, movement) {
	   // console.log("dragbatch=" + batch );
		//console.log(current);
		jQuery("." + batch).each(function() {
		//	console.log(jQuery(this).attr("id"));
			if (jQuery(this).attr("id")!=jQuery(current).attr("id"))
			{
				var id = jQuery(this).attr("id");
			//	console.log("id=" + id);
				var moveelmnt = document.getElementById(id);
				//console.log(id + ' ' + moveelmnt.offsetLeft + ' ' + movement);
				moveelmnt.style.left = (moveelmnt.offsetLeft + movement) + "px";
				jQuery(this).attr("data-moved", true);

			}
		});
  }
  function dragRemainingBatch(current, batch, movement) {
	 // console.log(current);
		var seq = parseInt(jQuery(current).attr("seq-tag"));
	//	console.log("sequence=" + seq);

		jQuery("." + batch).each(function() {
			console.log("match=" + jQuery(this).attr("id")!=jQuery(current).attr("id"));
			console.log("seqmatch=" + (parseInt(jQuery(this).attr("seq-tag"))>seq));

			if ((jQuery(this).attr("id")!=jQuery(current).attr("id")) && (parseInt(jQuery(this).attr("seq-tag"))>seq))
			{
				//console.log(jQuery(this).attr("seq-tag"));
				var id = jQuery(this).attr("id");
				var moveelmnt = document.getElementById(id);
				//console.log(id + ' ' + moveelmnt.offsetLeft + ' ' + movement);
				moveelmnt.style.left = (moveelmnt.offsetLeft + movement) + "px";
				jQuery(this).attr("data-moved", true);
			}
		});
  }

 function dragRemainingProduct(current, batch, movement) {
	  //console.log("dragproduct=" + batch);
		//var seq = parseInt(jQuery(current).attr("seq-tag"));
		//console.log("sequence=" + seq);

		jQuery("." + batch).each(function() {
			if (jQuery(this).hasClass("task_draggable"))
			{
				//console.log("product=" + jQuery(this).attr("id"));
				//console.log("seqmatch=" + (parseInt(jQuery(this).attr("seq-tag"))>seq));

				if (jQuery(this).attr("id")!=jQuery(current).attr("id"))
				{
					console.log(jQuery(this).attr("seq-tag"));
					var id = jQuery(this).attr("id");
					var moveelmnt = document.getElementById(id);
					//console.log(id + ' ' + moveelmnt.offsetLeft + ' ' + movement);
					moveelmnt.style.left = (moveelmnt.offsetLeft + movement) + "px";
					jQuery(this).attr("data-moved", true);
				}
			}
		});
  }
}

function handle_committed_changes(select) {

	var fieldstring = [];

	jQuery(".task_draggable").each(function() {
		var id = jQuery(this).attr("id");
		var elmnt = document.getElementById(id);
		var time  = getDragDate(elmnt, 'ymdhm');

		if (jQuery(this).attr("data-moved")=='true')
		{
			var obj = {};
			obj['id'] = id;
			obj['time'] = time;
			fieldstring.push(obj);
		}
		
	});

	if (fieldstring.length==0)
	{
		alert("Nothing has been changed!");
		return false;
	}
	console.log(fieldstring);

	jQuery.ajax({
		type : "post",
        dataType : "json",
        url : cpg_admin_ajax,
		timeout:90000,
        data : {action: 'commitchanges', post_id : fieldstring, nonce: nonce},
  		beforeSend: function() { jQuery('#ajax-wait').show(); },
		statusCode: {
			500: function() {
					alert("error 500");
				}
		},
		complete: function() { jQuery('#ajax-wait').hide(); },
        success: function(response) {
			console.log("response");
			console.log(response);
			if(response.type == "success") {
				console.log(response.debug);
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html(response.main);
				jQuery("#main-panel").show();
			} else if(response.type == "failed") {
				jQuery("#cpg_error_message").html(response.errormessage);
				jQuery("#cpg_error_message").show();
				jQuery("#cpg_message").html(response.message);
				jQuery("#cpg_message").show();
				jQuery("#main-panel").html('');
				jQuery("#main-panel").show();
		    } else {
               alert("Your response could not be added");
            }
         },
		error : function(jqXHR, textStatus, errorThrown){
			 console.log(jqXHR);
			 console.log(textStatus);
			 console.log(errorThrown);
			alert("Got some error: " + errorThrown);
		}
    })
}

function getDragDate(elmnt, format='') {
	var cellwidth, firstdate;

	var dataset = jQuery(elmnt).attr("data-set");
	var dataparts = dataset.split(":");
	cellwidth = dataparts[0];
	firstdate = dataparts[1];
	origleft = dataparts[2];
	var calcleft = jQuery(elmnt).attr("data-left");


	console.log( dataset + ' = ' + elmnt.offsetLeft) ;
	console.log(calcleft + ' ' + origleft + ' ' + elmnt.offsetLeft);
	var newLeft = parseFloat(origleft) + parseFloat(elmnt.offsetLeft) - parseFloat(calcleft);
	console.log(newLeft);

	//var offset = (calcleft + origleft - elmnt.offsetLeft) / cellwidth;
	var offset = newLeft  / cellwidth;

	var allocationstart =	(offset * 86400) + parseInt(firstdate) ;
	var unixTimestamp = allocationstart;
	var date = new Date(unixTimestamp*1000);

	var day = (date.getDate() < 10 ? '0' : '') + date.getDate(); //adding leading 0 if date less than 10 for the required dd format
	var month = (date.getMonth() < 9 ? '0' : '') + (date.getMonth() + 1); //adding leading 0 if month less than 10 for mm format. Used less than 9 because javascriptmonths are 0 based.
	var year = date.getFullYear(); //full year in yyyy format

	//var hours = ((date.getHours() % 12 || 12) < 10 ? '0' : '') + (date.getHours() % 12 || 12); //converting 24h to 12h and using 12 instead of 0. also appending 0 if hour less than 10 for the required hh format
	var hours = ((date.getHours() ) < 10 ? '0' : '') + date.getHours() ; //converting 24h to 12h and using 12 instead of 0. also appending 0 if hour less than 10 for the required hh format
	var minutes = (date.getMinutes() < 10 ? '0' : '') + date.getMinutes(); //adding 0 if minute less than 10 for the required mm format
	var meridiem = (date.getHours() >= 12) ? 'pm' : 'am'; //setting meridiem if hours24 greater than 12

	var formattedDate = day + '-' + month + '-' + year + ' ' + hours + ':' + minutes;

	switch (format)
	{
	case 'ymdhm':
		formattedDate = year + '-' + month + '-' + day +  ' ' + hours + ':' + minutes;
		break;
	case 'ymd':
		formattedDate = year + '-' + month + '-' + day ;
		break;
	case 'ymds':
		formattedDate = year + month + day ;
		break;
	case 'full':
		formattedDate = day + '-' + month + '-' + year + ' ' + hours + ':' + minutes;
		break;
	case 'short':
		formattedDate = day + '-' + month + ' ' + hours + ':' + minutes;
		break;
	default:
		formattedDate = 'Start: ' + hours + ':' + minutes;
	}
		 
	//console.log(formattedDate);
	return formattedDate;
}

function filter_by_workstations() {
	
	var fieldstring = [] ;

	jQuery(".hide-works-chk").each(function() {
		if (jQuery(this).is(":checked"))
		{
			var obj = {};
			obj['id'] = jQuery(this).attr("data-tag");
			fieldstring.push(obj);
		}
	});

	fieldstring = JSON.stringify(fieldstring);
	console.log(fieldstring);

	var newForm = jQuery('<form>', {
			'action': '/wp-admin/admin.php?page=cpg-test-function',
			'method': 'post',
			'target': '_top'});


	newForm.append(jQuery('<input>', {
			'name': 'bookingtype',
			'value': 'bookingconfirm',
			'type': 'hidden'
	}));

		newForm.append(jQuery('<input>', {
			'name': 'action',
			'value': 'booking',
			'type': 'hidden'
		}));
		newForm.append(jQuery('<input>', {
			'name': 'field_id',
			'value': fieldstring,
			'type': 'hidden'
		}));
		newForm.appendTo('body');
		newForm.submit();
		newForm.remove();
}
