<div id="flat-login-form" class="login-form-container">
    <?php if ( $attributes['show_title'] ) : ?>
        <h2><?php _e( 'Sign In', 'personalize-login' ); ?></h2>
    <?php endif; ?>
 
	 <!-- Show errors if there are any -->
<?php if ( count( $attributes['errors'] ) > 0 ) : ?>
    <?php foreach ( $attributes['errors'] as $error ) : ?>
        <p class="login-error">
            <?php echo $error; ?>
        </p>
    <?php endforeach; ?>
<?php endif; ?>

<?php if ( $attributes['lost_password_sent'] ) : ?>
    <p class="login-info">
        <?php _e( 'Check your email for a link to reset your password.', 'personalize-login' ); ?>
    </p>
<?php endif; ?>

<?php if ( $attributes['password_updated'] ) : ?>
    <p class="login-info">
        <?php _e( 'Your password has been changed. You can sign in now.', 'personalize-login' ); ?>
    </p>
<?php endif; ?>

<?php if ( $attributes['registered'] ) : ?>
    <p class="login-info">
        <?php
            printf(
                __( 'You have successfully registered with <strong>%s</strong>. We have emailed a link to set your password to the email address you provided.', 'personalize-login' ),
                get_bloginfo( 'name' )
            );
        ?>
    </p>
<?php endif; ?>


<form method="post" action="<?php echo wp_login_url(); ?>">

	<div class="flatpasswordform" style="">

	<div class="flatpasswordrow">
    <div><label for="user_login"><?php _e( 'Email', 'personalize-login' ); ?></label></div><div><input type="text" name="log" id="user_login"></div>
	</div>

	<div class="flatpasswordrow">
    <div><label for="user_pass"><?php _e( 'Password', 'personalize-login' ); ?></label></div><div><input type="password" name="pwd" id="user_pass"></div>
	</div>

	 <div class="resetpass-submit">
            <input type="submit" name="submit" id="resetpass-button"
                   class="button" value="<?php _e( 'Sign In', 'personalize-login' ); ?>" />
        </div>

<!--
	<div class="flatpasswordrow">
    <div><label><input name="rememberme" type="checkbox" id="rememberme" value="forever"> Remember Me</label></div><div>&nbsp;</div>
	</div>-->

	<div class="flatpasswordrow">
	<div><a  href="<?php echo wp_lostpassword_url(); ?>">
        <?php _e( 'Forgot your password?', 'personalize-login' ); ?>
    </a></div>
	</div>

	</div>

<?php
if (1==0) {
?>
<br><br><br>
	<div class="resetpasswordform">
	<div class="resetpasswordrow">
    <div><label for="user_login"><?php _e( 'Email', 'personalize-login' ); ?></label></div><div><input type="text" name="log" id="user_login"></div>
	</div>

	<div class="resetpasswordrow">
    <div><label for="user_pass"><?php _e( 'Password', 'personalize-login' ); ?></label></div><div><input type="password" name="pwd" id="user_pass"></div>
	</div>
	<div class="resetpasswordrow">
    <div><label><input name="rememberme" type="checkbox" id="rememberme" value="forever"> Remember Me</label></div><div>&nbsp;</div>
	</div>



  </div>	
        <p class="resetpass-submit">
            <input type="submit" name="submit" id="resetpass-button"
                   class="button" value="<?php _e( 'Sign In', 'personalize-login' ); ?>" />
        </p>

	<?php
       # wp_login_form(
       #     array(
       #         'label_username' => __( 'Email', 'personalize-login' ),
       #         'label_log_in' => __( 'Sign In', 'personalize-login' ),
        #        'redirect' => $attributes['redirect'],
		#)
        #);
    ?>
    <a class="forgot-password" href="<?php echo wp_lostpassword_url(); ?>">
        <?php _e( 'Forgot your password?', 'personalize-login' ); ?>
    </a>
</div> 

<?php
	} // end i
	if (!empty($attributes['redirect'])) {
		echo '<input type="hidden" name="redirect_to" value="'. $attributes['redirect'].'" />';
	}
?>
</form>
